Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.om
Interface Node

All Superinterfaces:
  javax.xml.transform.SourceLocator

public interface Node
extends javax.xml.transform.SourceLocator

represents a Node in an XML document

Field Summary
`static byte` | `ALLTYPES`
`static byte` | `ATTRIBUTE`
`static byte` | `COMMENT`
`static byte` | `ELEMENT`
`static int` | `N_TYPES`
`static byte` | `NAMESPACE`
`static byte` | `PROCESSING_INSTRUCTION`
`static byte` | `ROOT`
`static byte` | `TEXT`

Method Summary
`int` | `compareTo(Node node)` also compares document order
`Node` | `getAttribute(Name name)` does this only work on Elements?
`SafeNodeIterator` | `getAttributes()` does this only work on Elements?
`java.lang.String` | `getAttributeValue(Name name)` does this only work on Elements?
`SafeNodeIterator` | `getChildren()` as the name implies ...
`java.lang.String` | `getData()` Returns text for TEXT node; value for attribute node; content for comment node; content after PI for PI node;
`Node` | `getElementWithId(java.lang.String id)` finds an Element Node, in the this node's document, with the given ID
`SafeNodeIterator` | `getFollowingSiblings()` as the name implies ...
`java.lang.String` | `getGeneratedId()` guaranteed to be unique (and repeatable)
`int` | `getLineNumber()` if decorated with locator events, this returns the line number in the XML source where this node was found
`Name` | `getName()` Returns element type name for element; attribute name for an attribute; target for a PI., Namespace prefix for a Namespace
`NamespacePrefixMap` | `getNamespacePrefixMap()` in-scope namespaces ??
`SafeNodeIterator` | `getNamespaces()` does this only work on Elements?
`Node` | `getParent()` as the name implies ...
`Node` | `getRoot()` gets the owning Document's root
`byte` | `getType()` returns one of: `ELEMENT, TEXT, ATTRIBUTE, ROOT, PROCESSING_INSTRUCTION or COMMENT`
`java.lang.String` | `getUnparsedEntityURI(java.lang.String name)`
`java.net.URL` | `getURL()` base URL ??
`boolean` | `isId(java.lang.String id)` if this is an attribute??

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getPublicId, getSystemId`

Field Detail

### ELEMENT

    public static final byte ELEMENT

See Also:
  Constant Field Values

### TEXT

    public static final byte TEXT

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final byte ATTRIBUTE

See Also:
  Constant Field Values

### ROOT

    public static final byte ROOT

See Also:
  Constant Field Values

### PROCESSING_INSTRUCTION

    public static final byte PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### COMMENT

    public static final byte COMMENT

See Also:
  Constant Field Values

### NAMESPACE

    public static final byte NAMESPACE

See Also:
  Constant Field Values

### N_TYPES

    public static final int N_TYPES

See Also:
  Constant Field Values

### ALLTYPES

    public static final byte ALLTYPES

See Also:
  Constant Field Values

Method Detail

### getType

    public byte getType()

  returns one of: `ELEMENT, TEXT, ATTRIBUTE, ROOT, PROCESSING_INSTRUCTION or COMMENT`

### getName

    public Name getName()

  Returns element type name for element; attribute name for an attribute; target for a PI., Namespace prefix for a Namespace

### getData

    public java.lang.String getData()

  Returns text for TEXT node; value for attribute node; content for comment node; content after PI for PI node;

### getParent

    public Node getParent()

  as the name implies ...

### getChildren

    public SafeNodeIterator getChildren()

  as the name implies ...

### getFollowingSiblings

    public SafeNodeIterator getFollowingSiblings()

  as the name implies ...

### getURL

    public java.net.URL getURL()

  base URL ??

### getLineNumber

    public int getLineNumber()

  if decorated with locator events, this returns the line number in the XML source where this node was found

  Specified by:
    `getLineNumber` in interface `javax.xml.transform.SourceLocator`

### getNamespacePrefixMap

    public NamespacePrefixMap getNamespacePrefixMap()

  in-scope namespaces ??

### compareTo

    public int compareTo(Node node)

  also compares document order

### getElementWithId

    public Node getElementWithId(java.lang.String id)

  finds an Element Node, in the this node's document, with the given ID

### isId

    public boolean isId(java.lang.String id)

  if this is an attribute?? and it is of type ID ?

### getAttributeValue

    public java.lang.String getAttributeValue(Name name)

  does this only work on Elements?

### getAttribute

    public Node getAttribute(Name name)

  does this only work on Elements?

### getAttributes

    public SafeNodeIterator getAttributes()

  does this only work on Elements?

### getNamespaces

    public SafeNodeIterator getNamespaces()

  does this only work on Elements?

### getGeneratedId

    public java.lang.String getGeneratedId()

  guaranteed to be unique (and repeatable)

### getUnparsedEntityURI

    public java.lang.String getUnparsedEntityURI(java.lang.String name)

### getRoot

    public Node getRoot()

  gets the owning Document's root

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD